% Simulink Control Design 
% Version 1.0 (R14) 05-May-2004  
%
% Linearization Analysis I/Os
%   getlinio   - Get linearization I/O settings for Simulink model 
%   linio      - Construct linearization I/O settings for Simulink model 
%   setlinio   - Assign I/O settings to Simulink model 
%
% Operating Points
%   addoutputspec - Add output specification to operating point specification 
%   opcond/copy   - Create copy of operating point or operating point 
%                   specification 
%   findop        - Find operating points from specifications or simulation 
%   initopspec    - Initialize operating point specification values 
%   opcond/get    - Get properties of linearization I/Os and operating points 
%   opcond/getxu  - Extract states and inputs from operating points 
%   operpoint     - Create operating point for Simulink model 
%   operspec      - Create operating point specifications for Simulink model 
%   opcond/set    - Set properties of linearization I/Os and operating points 
%   opcond/setxu  - Set states and inputs in operating points 
%   opcond/update - Update operating point object with structural changes 
%                   in model
%
% Linearization
%   linearize   - Obtain linear model from Simulink model 
%   getlinplant - Compute open loop plant model from Simulink diagram
%   linoptions  - Set options for finding operating points and linearization 
%
% Utility Functions
%   opcond/get - Get properties of linearization I/Os and operating points
%   opcond/set - Set properties of linearization I/Os and operating points 

% Copyright 2002-2004 The MathWorks, Inc.

